> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription events by subscription id

> This endpoint allows you to get events for a stratus subscription.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/stratus/subscriptions/{id}/events
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/stratus/subscriptions/{id}/events:
    get:
      tags:
        - Stratus
      summary: Get subscription events by subscription id
      description: This endpoint allows you to get events for a stratus subscription.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: search
          in: query
          schema:
            type: string
        - name: cursor
          in: query
          schema:
            type: string
        - name: startingAfter
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            default: 10
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        triggeredAt:
                          type: string
                        functionRun:
                          type: object
                          properties:
                            id:
                              type: string
                            runId:
                              type: string
                              nullable: true
                            status:
                              type: string
                            output:
                              type: string
                          required:
                            - id
                            - runId
                          nullable: true
                        callback:
                          type: object
                          properties:
                            response:
                              type: string
                          required:
                            - response
                          nullable: true
                        event:
                          type: object
                          properties:
                            blockNumber:
                              type: string
                            txHash:
                              type: string
                            eventKey:
                              type: string
                              nullable: true
                            contractAddress:
                              type: string
                            detectedAt:
                              type: string
                          required:
                            - blockNumber
                            - txHash
                            - eventKey
                            - contractAddress
                            - detectedAt
                      required:
                        - id
                        - triggeredAt
                        - functionRun
                        - callback
                        - event
                  hasNextPage:
                    type: boolean
                required:
                  - data
                  - hasNextPage
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````